//----------------------------------------------------------------------------//
// Current revisions:
// -----------------
// Initial revision
//
// Former revisions:
// -----------------
// $Id: mainwindow.h 793 2011-12-12 15:15:24Z maronga $
//
// Description:
// ------------
// UI mainwindow header file
//----------------------------------------------------------------------------//

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>


namespace Ui {
    class MainWindow;
}



class MainWindow : public QMainWindow
{
    Q_OBJECT


public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    int change_commandline(QString id,QString fwstring);
    int delete_commandline(QString id);
    int activate_flag(QString id);
    int deactivate_flag(QString id);
    int setup_gui(QString mrunline);
    int recent_jobs(int noj);


private slots:
    int startmrun();
    int enable_advanced();
    int enable_coupled();
    int choosejob();
    int choosejob_list();
    int change_rc_list();
    int check_flags();
    int change_lineinput();
    int reset_window();
    int save_to_file();
    int save_default();
    int open_from_file();
    int open_last();
    int help();
    int about_gui();
};

#endif // MAINWINDOW_H


